summaryrefslogtreecommitdiff
path: root/dev-python/openapi-spec-validator
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2025-06-08 04:58:32 +0200
committerMichał Górny <mgorny@gentoo.org>2025-06-08 05:25:59 +0200
commit50f609b57bffe2644b104e21af08fc7fcfa91d5a (patch)
tree3e93fc362007635fbde26ec6333c733a0f4c534b /dev-python/openapi-spec-validator
parent820e0f5f7b2b66948ed5991dab74ad815825dfd9 (diff)
downloadgentoo-50f609b57bffe2644b104e21af08fc7fcfa91d5a.tar.gz
gentoo-50f609b57bffe2644b104e21af08fc7fcfa91d5a.tar.bz2
gentoo-50f609b57bffe2644b104e21af08fc7fcfa91d5a.zip
dev-python/openapi-spec-validator: Bump to 0.7.2
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/openapi-spec-validator')
-rw-r--r--dev-python/openapi-spec-validator/Manifest1
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/openapi-spec-validator/Manifest b/dev-python/openapi-spec-validator/Manifest
index 333cd068b6cc1..66d1ad8c71451 100644
--- a/dev-python/openapi-spec-validator/Manifest
+++ b/dev-python/openapi-spec-validator/Manifest
@@ -1 +1,2 @@
DIST openapi_spec_validator-0.7.1.tar.gz 37985 BLAKE2B e4e6995bba18ea9fb65be28b2156c73afd3c5074a3fbd5b83e03534a1bb5fdde2e5a586aa161e0f9fc64985d83ae995f46ff2704a4010a708f9e0cf18f97a8a8 SHA512 c2a4be4a945058a4e77857bf0d6dabf2bef27c25fbe72947db3ac011c5a60d2d0159ef0d1d44571152c5ffdc650f7d3d6c54f82834e499e9506fb474b7c9b270
+DIST openapi_spec_validator-0.7.2.tar.gz 36855 BLAKE2B 87914f72a4bcaa2a1b190902b4649dd46e0c5079a2dd8d56839f795aac4a2df4c1563b7529ee4db87a3f90607afbb74070525994b0a8fa5bb882514c952de704 SHA512 83ca3f7c731680962c113a0982592842cc42df4f7f5f21bcbd9ba28c1c7b5376fe8197c43b15b0b34bf506b6ba59eb928aa5b73372c7395da7c950fb4cdc1584
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild
new file mode 100644
index 0000000000000..5944ce63730b7
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}